/////////////////////////////////////////////////////////////////////////////
//
// Undelete
//
// Copyright (C) 1998 Mark Russinovich and Bryce Cogswell
// Systems Internals - http://www.sysinternals.com
//
// See readme.txt for terms of use.
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILTER_H__3EDB5F1B_547D_11D2_8006_0004ACFF1300__INCLUDED_)
#define AFX_FILTER_H__3EDB5F1B_547D_11D2_8006_0004ACFF1300__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// Filter.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFilter dialog

class CFilter : public CDialog
{
// Construction
public:
	DWORD *m_ValidDriveSize;
	CListBox *m_DirectoryListbox;
	CListBox *m_ExtensionListbox;
	CStringList *m_ExtensionFilters;
	CStringList *m_DirectoryFilters;
	CFilter();   // standard constructor

// Dialog Data
	//{{AFX_DATA(CFilter)
	enum { IDD = IDD_FILTER };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFilter)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFilter)
	virtual BOOL OnInitDialog();
	afx_msg void OnCancelMode();
	afx_msg void OnDiradd();
	afx_msg void OnDirremove();
	afx_msg void OnAdd();
	afx_msg void OnRemove();
	afx_msg void OnOkay();
	afx_msg int OnVKeyToItem(UINT nKey, CListBox* pListBox, UINT nIndex);
	afx_msg void OnSelchange();
	afx_msg void OnDirSelchange();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILTER_H__3EDB5F1B_547D_11D2_8006_0004ACFF1300__INCLUDED_)
