/////////////////////////////////////////////////////////////////////////////
//
// Undelete
//
// Copyright (C) 1998 Mark Russinovich and Bryce Cogswell
// Systems Internals - http://www.sysinternals.com
//
// See readme.txt for terms of use.
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DRIVEPROP_H__95D970A4_53F6_11D2_A5A5_00E081100E97__INCLUDED_)
#define AFX_DRIVEPROP_H__95D970A4_53F6_11D2_A5A5_00E081100E97__INCLUDED_

#include "Prop.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DriveProp.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDriveProp dialog

class CDriveProp : public CPropertyPage
{
// Construction
public:
	virtual BOOL OnSetActive();
	USHORT m_RecycleSize;
	CProp *m_GlobalProperties;
	CString m_Title;
	DWORD m_SizeOfDrive;
	void UpdateSizeStrings();
	CDriveProp(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDriveProp)
	enum { IDD = IDD_DRIVEPROP };
	CSliderCtrl	m_PercentRecycle;
	BOOL	m_ImmediateDelete;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDriveProp)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDriveProp)
	afx_msg void OnDisableglobal();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnCancelMode();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DRIVEPROP_H__95D970A4_53F6_11D2_A5A5_00E081100E97__INCLUDED_)
